program PM;
{****************************************************************************
** Demonstration the use of the MIDIPlay unit for playing MIDI files in    **
** the background.                                                         **
**  by Steven H Don                                                        **
**                                                                         **
** For questions, feel free to e-mail me.                                  **
**                                                                         **
**    shd@earthling.net                                                    **
**    http://shd.cjb.net                                                   **
**                                                                         **
****************************************************************************}

uses MIDIPlay, SmallCrt;

var
  Name : String;

begin
  {Play through FM synthesizer}
  SetFM; {you can use SetGM here if the PC supports it}

  {Clear the screen}
  ClrScr;

  {Display the message}
  Writeln ('Playing a MIDI file - by Steven Don');
  Writeln ('-----------------------------------');
  Writeln;
  Writeln ('Two MIDI files should be included: 1.MID - Ghostbusters theme');
  Writeln ('                                   2.MID - Superman movie theme');
  Writeln;

  {Get the name of a MIDI file}
  Write ('Please enter name of file: ');
  Readln (Name);

  {Append extension, if necessary}
  if Name [Length(Name) - 3] <> '.' then Name := Name + '.MID';

  {Load it}
  Write ('Loading MIDI file - ');
  if LoadMIDI (Name) then
    Writeln ('Success')
  else begin
    Writeln ('Failed');
    Halt;
  end;

  {Play it}
  PlayMidi;
  Writeln ('Playing...');

  {Wait for a keypress or the end of the song}
  repeat until KeyPressed or not Playing;

  {If there has been a key pressed, clear the buffer}
  if KeyPressed then ReadKey;

  {If the song had reached the end, display a message}
  if not Playing then Writeln ('Stopped');
  {Unload file before exiting}
  UnloadMidi;
end.